Bug 803689 - undefined reference to `__builtin_irintf'
undefined reference to `__builtin_irintf'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
17
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 08:32 EDT by Dan Horák
Modified: 2012-03-21 15:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: gcc-4.7.0-0.20.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 15:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (446 bytes, text/x-csrc)
2012-03-15 08:32 EDT, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2012-03-15 08:32:08 EDT
Created attachment 570278 [details]
reproducer

Compile of the attached source fails with "undefined reference to `__builtin_irintf'"

<mock-chroot>[root@devel1 src]# gcc -std=gnu99 -pthread -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -marune=z10 -W -Wextra -Wno-long-long -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing -Wwrite-strings -Wno-unused-parameter -ffast-math -fno-common -fdiagnostics-show-option rint.c -o rint
/tmp/ccxad5mm.o: In function `u8_from_float32ne':
/builddir/build/BUILD/pulseaudio-1.1/src/rint.c:10: undefined reference to `__builtin_irintf'
collect2: error: ld returned 1 exit status


gcc version 4.7.0 20120308 (Red Hat 4.7.0-0.19) (GCC) 

This is minimalized source from pulseaudio build, see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=617299 for real life example
Comment 1 Fedora Update System 2012-03-16 16:58:19 EDT
gcc-4.7.0-0.20.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gcc-4.7.0-0.20.fc17
Comment 2 Dan Horák 2012-03-16 17:30:37 EDT
I confirm the update fixes the issue.
Comment 3 Fedora Update System 2012-03-17 12:50:15 EDT
Package gcc-4.7.0-0.20.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gcc-4.7.0-0.20.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3967/gcc-4.7.0-0.20.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-21 15:07:05 EDT
gcc-4.7.0-0.20.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.